﻿using System.Collections.ObjectModel;
using System.Linq;
using XamDataGridExample.Base;
using XamDataGridExample.Model;

namespace XamDataGridExample.ViewModel
{
    public class ProjectViewModel : ViewModelBase
    {
        private Project Project { get; set; }

        public ProjectViewModel(Project project)
        {
            Project = project;
        }

        public string Name
        {
            get { return Project.Name; }
            set
            {
                Project.Name = value;
                OnPropertyChanged("Name");
            }
        }
        public string Number
        {
            get { return Project.Number; }
            set
            {
                Project.Number = value;
                OnPropertyChanged("Number");
            }
        }
        public int Id => Project.Id;
        public ObservableCollection<OrderViewModel> Orders => new ObservableCollection<OrderViewModel>(Project.Orders.Select(o=> new OrderViewModel(o)));
    }
}
